﻿Imports System.Collections.ObjectModel
Imports Telerik.Windows.Controls.GridView
Imports Telerik.Windows.Controls

Public Class MainViewModel
    Inherits ViewModelBase
    Public Property SeriesTree As ObservableCollection(Of Series)
        Get
            Return mSeriesList
        End Get
        Set(ByVal value As ObservableCollection(Of Series))
            mSeriesList = value
            OnPropertyChanged("SeriesTree")
        End Set
    End Property
    Private mSeriesList As ObservableCollection(Of Series)
    Public Property SelectedItem As Series
        Get
            Return mSelectedItem
        End Get
        Set(ByVal value As Series)
            If value Is Nothing Then
                mSelectedItem = SeriesTree(0)
            Else
                'tbd check to see if item is visible first
                mSelectedItem = value
            End If
            OnPropertyChanged("SelectedItem")
        End Set
    End Property
    Private mSelectedItem As New Series
    Public Property MainWindow As MainWindow
    Public Sub New(ByVal w As MainWindow)
        Me.MainWindow = w
        GetSeriesTree()
        Me.SelectedItem = SeriesTree(0)
    End Sub
    Public Function GetSeriesTree() As ObservableCollection(Of Series)
        SeriesTree = New ObservableCollection(Of Series)()
        SeriesTree.Add(New Series("All items"))
        Return SeriesTree
    End Function

End Class
