﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Windows.Controls
Imports System.Windows.Media
Imports Telerik.Windows.Controls.Charting
Imports System.IO
Imports System.Collections.ObjectModel
Imports Telerik.Windows.Controls.GridView
Imports Telerik.Windows.Controls.TreeListView

Partial Public Class MainWindow
    Inherits Window
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub SeriesTreeListView_RowLoaded(ByVal sender As Object, ByVal e As RowLoadedEventArgs)
        Dim s As Series = TryCast(e.Row.Item, Series)
        If s IsNot Nothing Then
            If s.IsEmpty Then
                DirectCast(e.Row, TreeListViewRow).IsExpandable = False
            Else
                DirectCast(e.Row, TreeListViewRow).IsExpandable = True
            End If
        End If
    End Sub

    Private Sub SeriesTreeListView1_RowIsExpandedChanged(ByVal sender As Object, ByVal e As RowEventArgs)
        Dim s As Series = TryCast(e.Row.Item, Series)
        If s IsNot Nothing AndAlso s.Children IsNot Nothing AndAlso s.Children.Count() > 0 Then
            s.LoadChildren()
        End If
    End Sub

    Private Sub SetAllitemsButton_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles SetAllitemsButton.Click
        Dim vm = DirectCast(Me.DataContext, MainViewModel)
        vm.SelectedItem = vm.SeriesTree(0)
    End Sub

    Private Sub SetFoodButton_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles SetFoodButton.Click
        Dim vm = DirectCast(Me.DataContext, MainViewModel)
        vm.SelectedItem = vm.SeriesTree(0).Children(0)
    End Sub

    Private Sub SetHousingButton_Click(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles SetHousingButton.Click
        Dim vm = DirectCast(Me.DataContext, MainViewModel)
        vm.SelectedItem = vm.SeriesTree(0).Children(1)
    End Sub
End Class
